/
Sets a default payment me...
PUT {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods/{{paymentMethodId}}/make-default
This endpoint sets the specified payment method as the default.
Care must be taken to complete all the fields with the existing information.
See Also:
To list a customer's payment methods, see GET /pay-api/v1/customers/{customerId}/payment-methods.
To create an ACH payment method for a customer, see POST /pay-api/v1/customers/{customerId}/payment-methods/ach.
To create a card payment method for a customer, see POST /pay-api/v1/customers/{customerId}/payment-methods/cards.
To update a customer's payment method, see PUT /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}.
Security
Bearer
- Mock serverhttps://developer.flute.com/_mock/api-reference/pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}/make-default
- Sandbox environmenthttps://sandbox.api.flute.com/pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}/make-default
- Production environmenthttps://api.flute.com/pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}/make-default
curl -i -X PUT \
https://developer.flute.com/_mock/api-reference/pay-api/v1/customers/c4b210e9-be39-4ebc-8195-0c422de87f90/payment-methods/46e5de89-a9f0-4d79-9350-b612bfa3c5ee/make-default \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'